Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162444 - Update to ant 1.6.5
Summary: Update to ant 1.6.5
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ant
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-04 20:07 UTC by Andrew Overholt
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-13 14:14:33 UTC


Attachments (Terms of Use)

Description Andrew Overholt 2005-07-04 20:07:34 UTC
Description of problem:
Eclipse 3.1 needs classes from ant >= 1.6.3 to build.  This is, unless we ship
the pre-built ant jars that come with Eclipse.  We don't want to do this anymore :)

Version-Release number of selected component (if applicable):
N/A

How reproducible:
Always

Steps to Reproduce:
1. try to build Eclipse 3.1 with all of ant's jars symlinked to those in
/usr/share/java.
  
Actual results:
    [javac] 1. ERROR in
/home/overholt/cvsdist/eclipse/devel/eclipse-3.1.0_fc/plugins/org.eclipse.ant.core/src_ant/org/eclipse/ant/internal/core/ant/EclipseDefaultExecutor.java
    [javac]  (at line 17)
    [javac]     import org.apache.tools.ant.Executor;
    [javac]            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    [javac] The import org.apache.tools.ant.Executor cannot be resolved


Expected results:
Compilation succeeds.

Additional info:

Comment 3 Andrew Overholt 2005-09-13 14:14:33 UTC
This is no longer necessary.  Closing.


Note You need to log in before you can comment on or make changes to this bug.